#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Vhdl::Vhdl"
  Vhdl::Vhdl  (string                name):
    _name   (name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
#undef  FUNCTION
#define FUNCTION "Vhdl::~Vhdl"
  Vhdl::~Vhdl ()
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  

}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
